# 
# Sylfy library in Ruby
# Copyright (C) 2012
#
# @author Natapol Pornputtapong <natapol@chalmers.se>
#

module Sylfy
    module Pattern
        INCHI = /^InChI\=1S\/[A-Za-z0-9\.\+]+(\/[cnpqbtmsih][A-Za-z0-9\-\+\(\)\,\?\*\;\.]+)*$/
        SPINCHI = /^InChI\=1[S]?\/[A-Za-z0-9\.\+]+(\/[cnpqbtmsih][A-Za-z0-9\-\+\(\)\,\?\*\;\.]+)*$/
        INCHIKEY = /^[A-Z]{14}\-[A-Z]{10}(\-[A-N])?/
    end
end
