# @author Natapol Pornputtapong <natapol@chalmers.se>
#
require 'json'

module Sylfy
	
	module Service
	
		module ENSEMBLREST
			module REST
				module Archive
					
					SERVICENAME = 'archive'
					
					module_function
					
					# Uses the given identifier to return the archived sequence
					#
					# @param id [String] The stable identifier of the entity you wish to retrieve overlapping features
					#
					# @param option [String] option of service please consult {http://beta.rest.ensembl.org/documentation/info/archive_id}
					#	
					# @return [array of Hash] results
					#
					def id(id, option = {})
						option_type = [:callback]
						get_path = "/#{SERVICENAME}/id/#{id}"
						return Sylfy::Service::ENSEMBLREST::service(get_path, option_type, option)
					end
					
				end
			end
        end
    end
end
