# 
# UniSysDB library in Ruby
# Copyright (C) 2012
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

require 'rubabel'

#require 'sylfy/service/keggrest'
require 'sylfy/service/ensemblrest'
require 'sylfy/service/pubchem'
require 'sylfy/service/ebisoap'
require 'sylfy/service/lipidmaprest'
require 'sylfy/service/unichemrest'
require 'sylfy/service/biocycrest'
require 'sylfy/service/cactusncirest'
require 'sylfy/service/rest'

module Sylfy
    # A module supports as interfaces for web services
    module Service
        # Raise when puts wrong parameter
        class ParameterError < Exception
            
        end
        # Raise when services return 404 error
        class DataNotFound < Exception
            
        end
    end
end